# WARNING
# To build this package, you must set LC_ALL to fr
# example : LC_ALL=fr rpm -ba aspell-fr.spec

%define src_ver 0.50-3
%define languagelocal francais
%define languageeng french
%define languageenglazy French
%define languagecode fr
%define lc_ctype fr_FR

Name:		aspell-%{languagecode}
Version:	0.50.3
Release:	7mdk
Summary:	%{languageenglazy} files for aspell
Group:		System/Internationalization
Source:		http://aspell.sourceforge.net/aspell-%{languagecode}-%{src_ver}.tar.bz2
URL:		http://aspell.sourceforge.net/
License:	GPL
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides: spell-fr

BuildRequires:	aspell >= 0.50
Requires:	aspell >= 0.50

# Mandrake Stuff
Requires:	locales-%{languagecode}
Provides:	aspell-dictionary

# RedHat Stuff. is this right:
#Obsoletes: ispell-fr, ispell-french

ExcludeArch:	ia64
Autoreqprov:	no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build
./configure
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

# fix doc perms
chmod 644 README COPYING

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%dir %{_datadir}/aspell
%{_datadir}/aspell/*
%dir %{_libdir}/aspell
%{_libdir}/aspell/*

%changelog
* Tue Aug 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.3-7mdk
- added directories owning

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.50.3-6mdk
- Remove noarch, it is arch dependent
- Rebuild to get fr-40-only.rws correclty generated

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.3-5mdk
- recompile with correct build environment

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.3-4mdk
- add tag Provides spell-fr

* Thu Feb 20 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-3mdk
- fixed buildrequires

* Mon Nov 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-2mdk
- rebuild with correct locales (i sux)
- fixed doc perms
- noarch
- BuildRequires make is useless

* Sun Nov 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-1mdk
- 0.50.3
- warning for locales

* Fri Jan 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1.3-3mdk
- BuildRequires

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3-2mdk
- Undo move to /usr/share/pspell4

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3-1mdk
- Release 0.1-3 (seen as 0.1.3 for rpm)
- Use epoch to force upgrade from previous version
- Move pspell datadir to pspell4

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1-1mdk
- Cleaned up the spec and moved to standard template.
- First version for Mandrake - copied from RedHat spec.
- Macroszification.

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-4
- use the French language descriptions shipped with aspell

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated dictionary to 0.03
- changed build procedure
- include .pwli file

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM

